Tenant/Plan

Add an add-on to a tenant plan

Locked transaction: `addons[code].qty += qty`, `limits[limitKey] += delta × qty`, `addon.added` (source admin). 400 `code: Not offered by <tier>.` / qty < 1; 409 `Add-on limit reached: <maxQty>.` or `Limit is already unlimited.`

POST
/api/v2/tenants/{id}/plan/addons

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Tenant UUID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/plan/addons" \  -H "Content-Type: application/json" \  -d '{    "code": "keys_500",    "qty": 2  }'
{}
{  "errors": {    "name": "Empty value"  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Page not found"  }}
{  "errors": {    "langBcp": "Language already exists"  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}